test-cloud
latest
false
- Primeros pasos
- Autenticación
- Ámbitos y permisos
- API de gestión de plataformas
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.

Guía de la API de Test Cloud
Última actualización 7 de abr. de 2026
Obtener configuración
Utiliza este punto final para recuperar la lista de pares de valor clave para los ajustes de correo electrónico y autenticación.
Punto final de API
GET {accessURL}/{organizationName}/identity_/api/Setting
Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:
| Cloud Platform | URL de acceso |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Sector Público | https://govcloud.uipath.us/ |
| Test Cloud Dedicado | https://{customURL}.dedicated.uipath.com/ |
Ámbitos
Necesita los siguientes ámbitos:
- PM.Setting
- PM.Setting.Read
Solicitar encabezados.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Nota:
Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.
Parámetros de consulta
| Parámetros de consulta | Tipo de datos | Descripción |
|---|---|---|
key (opcional) | Cadena | Introduce el nombre de la configuración que quieres recuperar. Por ejemplo, para recuperar la configuración de dominios SMTP, introduce key=Email.Smtp.Domain. |
partitionGlobalId (opcional) | Cadena | El ID de la organización para la que desea recuperar la configuración. |
userId (opcional) | Cadena | El ID de la usuario para la que desea recuperar la configuración. |
Respuesta
200 OK
Devuelve las cuentas de UiPath Robot consultadas.
Solicitud de ejemplo
Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.
- Su
{baseURL}es: https://cloud.uipath.com/{organizationName}/identity_ - Tu
{access_token}es:1234(para consideraciones de longitud) - El
{partitionGlobalId}es:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Si quieres recuperar la configuración global del correo electrónico, inicia sesión como administrador del host. En tal caso, no necesitarás proporcionar una
userID.
La llamada debe parecerse al siguiente ejemplo (cURL):
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Setting?partitionGlobalId=3fa85f64-5717-4562-b3fc-2c963f66afa6&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Aquí está el body de respuesta de una llamada correcta:
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
}
]
[
{
"id": 6,
"key": "Email.Smtp.FromEmail",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 7,
"key": "Email.Smtp.FromDisplayName",
"value": "Hogwarts server - 21.10 - Clean",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 15,
"key": "Email.Smtp.Domain",
"value": "",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 16,
"key": "Email.Smtp.EnableSsl",
"value": "true",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 17,
"key": "Email.Smtp.Port",
"value": "587",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 18,
"key": "Email.Smtp.UseDefaultCredentials",
"value": "false",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 19,
"key": "Email.Smtp.UserName",
"value": "newalerts.uipath@gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 20,
"key": "Email.Smtp.Host",
"value": "smtp.gmail.com",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
},
{
"id": 21,
"key": "Email.Smtp.Password",
"value": "protego-spell",
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userId": null
}
]